/*
 * (c) 2006 Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#include <assert.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "log.h"

verbose_t Verbose = Info;


void dbug(const char *msg, ...)
{
	va_list val;
	if (Verbose < Debug)
		return;
	va_start(val,msg);
	vfprintf(stderr,msg,val);
	va_end(val);
}


void info(const char *msg, ...)
{
	va_list val;
	if (Verbose < Info)
		return;
	va_start(val,msg);
	vfprintf(stderr,msg,val);
	va_end(val);
}


void warn(const char *msg, ...)
{
	va_list val;

	if (Verbose < Warning)
		return;
	va_start(val,msg);
	vfprintf(stderr,msg,val);
	va_end(val);
}


void error(const char *msg, ...)
{
	va_list val;

	if (Verbose >= Error) {
		va_start(val,msg);
		vfprintf(stderr,msg,val);
		va_end(val);
	}
	exit(-1);
}


